Bug 1889046 - Review Request: R-doMC - Foreach Parallel Adaptor for 'parallel'
Summary: Review Request: R-doMC - Foreach Parallel Adaptor for 'parallel'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-17 08:30 UTC by Elliott Sales de Andrade
Modified: 2020-11-07 02:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-07 01:28:23 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-10-17 08:30:25 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-doMC/R-doMC.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-doMC/R-doMC-1.3.7-1.fc32.src.rpm

Description:
Provides a parallel backend for the %dopar% function using the multicore
functionality of the parallel package.

Comment 1 Elliott Sales de Andrade 2020-10-17 08:32:35 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=53622571

Comment 2 José Matos 2020-10-23 19:15:03 UTC
The license is correct and appropriated for Fedora. The spec file follows the
Fedora package guidelines.

In this cases these are the fedora-review complaints:

Issues:
=======
- Package have the default element marked as %%doc :DESCRIPTION
- Package requires R-core.

These issues can be ignored.

The funny fact here is that fedora-review also found that

https://cran.r-project.org/src/contrib/PACKAGES
https://r-forge.r-project.org/src/contrib/PACKAGES

refer to two version of the package (1.3.7 in the former and 1.3.5 in the later).

Since you packaged the latest version this harmless.

The package is approved.

Comment 3 Elliott Sales de Andrade 2020-10-24 23:32:04 UTC
Fixing assignee.

Comment 4 Elliott Sales de Andrade 2020-10-24 23:32:08 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/29962

Comment 5 Gwyn Ciesla 2020-10-25 22:30:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-doMC

Comment 6 Fedora Update System 2020-10-29 08:27:55 UTC
FEDORA-2020-41cc65a869 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-41cc65a869

Comment 7 Fedora Update System 2020-10-29 08:27:56 UTC
FEDORA-2020-70d463c339 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-70d463c339

Comment 8 Fedora Update System 2020-10-30 01:16:03 UTC
FEDORA-2020-41cc65a869 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-41cc65a869`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-41cc65a869

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-30 01:30:46 UTC
FEDORA-2020-70d463c339 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-70d463c339`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-70d463c339

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-30 02:02:10 UTC
FEDORA-2020-4d82b3bad3 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4d82b3bad3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d82b3bad3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-11-07 01:28:23 UTC
FEDORA-2020-4d82b3bad3 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-11-07 02:09:41 UTC
FEDORA-2020-41cc65a869 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-11-07 02:34:10 UTC
FEDORA-2020-70d463c339 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.